RubyGems Navigation menu

rspec-tracer 1.0.0

RSpec Tracer is a specs dependency analyzer, flaky tests detector, tests accelerator, and coverage reporter tool for RSpec. It maintains a list of files for each test, enabling itself to skip tests in the subsequent runs if none of the dependent files are changed. It uses Ruby's built-in coverage library to keep track of the coverage for each test.

Versions:

  1. 1.0.0 - October 21, 2021 (362 KB)
  2. 0.9.3 - October 03, 2021 (359 KB)
  3. 0.9.2 - September 30, 2021 (359 KB)
  4. 0.9.1 - September 23, 2021 (358 KB)
  5. 0.9.0 - September 15, 2021 (358 KB)
Show all versions (15 total)

Runtime Dependencies (2):

  • docile >= 1.1.0, ~> 1.1
  • rspec-core >= 3.6.0, ~> 3.6
  • Owners:

    Pushed by:

    Authors:

    • Abhimanyu Singh

    SHA 256 checksum:

    6866540e5c077662a4749b9c7adadb34e427dfce273def04bd84085e2c29d3da

    Total downloads 16,369

    For this version 1,564

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.5.0

    Links: